Printable version

Drivers & software

* RECOMMENDED * Firmware DVD Supplemental Update - HP SAS Expander Card

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Firmware - Storage Controller
Version: 2.10(26 Feb 2013)
Operating System(s): Microsoft Windows Server 2003
Microsoft Windows Server 2003 for 64-bit Extended Systems
Microsoft Windows Server 2008 R2
Microsoft Windows Server 2008 W32
Microsoft Windows Server 2008 x64
Microsoft Windows Server 2012
Microsoft Windows Server 2012 Essentials
Novell NetWare 5.1
Novell NetWare 6.5
OS Independent
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86)
Red Hat Enterprise Linux 6 Server (x86-64)
SCO OpenServer 5
SCO OpenServer 6
SCO UnixWare 7
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 10 (x86)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
Multi-part download
File name: CP019687.scexe (2.9 MB)
File name: CP019687.md5 (49 Bytes)
Offline Smart Component which upgrades the firmware on HP SAS Expander Card.

Prerequisites:
A minimum FW version 3.30 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.


To ensure the integrity of your download, HPE recommends verifying your results with the following SHA-256 Checksum values:

ea69e8c4a30417e881e37829ef96edcd84dce0b4d1214b9c298413daf5f6418f CP019687.md5
e94c66b57f2c42a5f94a4fcbfb59666b5b57f9648f0925a037010fa11cd64240 CP019687.scexe

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

To use HP Smart Update Manager on the Firmware Maintenance DVD version 10.00 and later:

  1. Place the Firmware Maintenance DVD on a USB key using the HP USB Key Creator Utility.
  2. Place the firmware to be updated in the directory, /hp/swpackages on the USB key.
  3. Boot from the newly created Firmware Maintenance USB key.
  4. Follow HP Smart Update Manager steps to complete firmware update.

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Notes:

Deliverable Name:
      Firmware DVD Supplemental Update - HP SAS Expander Card

Release Version and/or Date:
      2.10

Last Recommended or Critical Version:
      2.10

Previous Version of Firmware:
      2.08

Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Enhancements/New Features:
     None

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Known Issues:
     None


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.
Version:2.10(C) (30 Mar 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
    
A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Problems Fixed in version 2.10(C):

  • Fixed an issue where the offline check protocol was not included in the component installer, allowing the component to run in an online environment.
Enhancements

Enhancements/New Features:

  • Resolved an issue where the Smart Component would hang during hardware discovery when an unknown device was present.

Version:2.10 (26 Feb 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Version:2.08 (25 Feb 2011)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.08 FW on your HP SAS Expander Card.

Problems Fixed:

  •  Resolved intermittent condition in which the HP SAS Expander card may not locate logical drives after a power cycle and will report the following error at post.

     Slot 0 HP Smart Array P410i Controller (512MB, V3.66) 0 logical drives

    1785- Slot 0 drive Array Not Configured

    No Drive Detected

     


Version:2.06 (27 May 2010)
Fixes

Upgrade Requirement:
Critical - HPE requires users update to this version immediately.


Firmware Dependency:
     A minimum FW version 3.30 is required on your HP Smart Array controller when updating to 2.06 FW on your HP SAS Expander Card.

Problems Fixed:

  • Fixed an issue where HP 6G SAS hard drives would fail to spin up when configured as spare hard drives.

  • Fixed an issue where certain SATA hard drives would fail after an HP SAS Expander Card reset.


         

Version:2.02 (9 Dec 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Update Requirements:
      Recommended: HP recommends that users should update to this firmware version at their earliest convenience.

Firmware Dependency:
     A minimum FW version 2.72 is required on your HP Smart Array controller when updating to 2.02 FW on your HP SAS Expander Card.

Enhancements/New Features:
     Added support for a new hardware revision of the HP SAS Expander Card. This update is not required, but is recommended by HP in order to be at the latest shipping revision.


Version:1.52(B) (22 Oct 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Update Requirements:
      Recommended: HP recommends that users should update to this firmware version at their earliest convenience.

Important Notes:
      Updated the component installer. If you have previously updated to version 1.52, another update is not needed.

Enhancements/New Features:
        Support for 6Gb SAS / 3Gb SATA HDD.
        
        Added support for HP ProLiant DL 580 G5 and HP ProLiant DL 785 G5 Servers. Support is limited to 3Gb SAS / 1.5Gb SATA HDD.


Version:1.52 (7 Aug 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Support for 6GB SAS / 3GB SATA HDD.
  • Added support for HP ProLiant DL 580 G5 & HP ProLiant DL 785 G5 Servers. Support is limited to 3GB SAS / 1.5GB SATA HDD.

 


Type: Firmware - Storage Controller
Version: 2.10(26 Feb 2013)
Operating System(s):
Microsoft Windows Server 2003
Microsoft Windows Server 2003 for 64-bit Extended Systems
Microsoft Windows Server 2008 R2
Microsoft Windows Server 2008 W32
Microsoft Windows Server 2008 x64
Microsoft Windows Server 2012
Microsoft Windows Server 2012 Essentials
Novell NetWare 5.1
Novell NetWare 6.5
OS Independent
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86)
Red Hat Enterprise Linux 6 Server (x86-64)
SCO OpenServer 5
SCO OpenServer 6
SCO UnixWare 7
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 10 (x86)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)

Description

Offline Smart Component which upgrades the firmware on HP SAS Expander Card.

Installation Instructions

Prerequisites:
A minimum FW version 3.30 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.


To ensure the integrity of your download, HPE recommends verifying your results with the following SHA-256 Checksum values:

ea69e8c4a30417e881e37829ef96edcd84dce0b4d1214b9c298413daf5f6418f CP019687.md5
e94c66b57f2c42a5f94a4fcbfb59666b5b57f9648f0925a037010fa11cd64240 CP019687.scexe

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

To use HP Smart Update Manager on the Firmware Maintenance DVD version 10.00 and later:

  1. Place the Firmware Maintenance DVD on a USB key using the HP USB Key Creator Utility.
  2. Place the firmware to be updated in the directory, /hp/swpackages on the USB key.
  3. Boot from the newly created Firmware Maintenance USB key.
  4. Follow HP Smart Update Manager steps to complete firmware update.

Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Notes:

Deliverable Name:
      Firmware DVD Supplemental Update - HP SAS Expander Card

Release Version and/or Date:
      2.10

Last Recommended or Critical Version:
      2.10

Previous Version of Firmware:
      2.08

Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Enhancements/New Features:
     None

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Known Issues:
     None


Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Revision History

Version:2.10(C) (30 Mar 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
    
A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Problems Fixed in version 2.10(C):

  • Fixed an issue where the offline check protocol was not included in the component installer, allowing the component to run in an online environment.
Enhancements

Enhancements/New Features:

  • Resolved an issue where the Smart Component would hang during hardware discovery when an unknown device was present.

Version:2.10 (26 Feb 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.10 FW on your HP SAS Expander Card.

Problems Fixed:

  • On rare occasions during a power-up sequence, the HP SAS Expander, would be unresponsive. When the HP SAS Expander was unresponsive, the attached HP Smart Array P410 or P410i Controller was not allowed to discover drives that were attached.

Version:2.08 (25 Feb 2011)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Firmware Dependency:
     A minimum FW version 3.66 is required on your HP Smart Array controller when updating to 2.08 FW on your HP SAS Expander Card.

Problems Fixed:

  •  Resolved intermittent condition in which the HP SAS Expander card may not locate logical drives after a power cycle and will report the following error at post.

     Slot 0 HP Smart Array P410i Controller (512MB, V3.66) 0 logical drives

    1785- Slot 0 drive Array Not Configured

    No Drive Detected

     


Version:2.06 (27 May 2010)
Fixes

Upgrade Requirement:
Critical - HPE requires users update to this version immediately.


Firmware Dependency:
     A minimum FW version 3.30 is required on your HP Smart Array controller when updating to 2.06 FW on your HP SAS Expander Card.

Problems Fixed:

  • Fixed an issue where HP 6G SAS hard drives would fail to spin up when configured as spare hard drives.

  • Fixed an issue where certain SATA hard drives would fail after an HP SAS Expander Card reset.


         

Version:2.02 (9 Dec 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Update Requirements:
      Recommended: HP recommends that users should update to this firmware version at their earliest convenience.

Firmware Dependency:
     A minimum FW version 2.72 is required on your HP Smart Array controller when updating to 2.02 FW on your HP SAS Expander Card.

Enhancements/New Features:
     Added support for a new hardware revision of the HP SAS Expander Card. This update is not required, but is recommended by HP in order to be at the latest shipping revision.


Version:1.52(B) (22 Oct 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Update Requirements:
      Recommended: HP recommends that users should update to this firmware version at their earliest convenience.

Important Notes:
      Updated the component installer. If you have previously updated to version 1.52, another update is not needed.

Enhancements/New Features:
        Support for 6Gb SAS / 3Gb SATA HDD.
        
        Added support for HP ProLiant DL 580 G5 and HP ProLiant DL 785 G5 Servers. Support is limited to 3Gb SAS / 1.5Gb SATA HDD.


Version:1.52 (7 Aug 2009)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Support for 6GB SAS / 3GB SATA HDD.
  • Added support for HP ProLiant DL 580 G5 & HP ProLiant DL 785 G5 Servers. Support is limited to 3GB SAS / 1.5GB SATA HDD.

 


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.